/* -*- mode: c++; c-basic-offset: 4; -*- */
#include "dump_trans.hh"
#include <iostream>

using namespace sends;
using namespace std;

//======================================  Construct dump-out stage
dump_trans::dump_trans(int nThread, int nTrans)
  : seda_stage(nThread, nTrans)
{
}

//======================================  Dump the transaction.
void
dump_trans::filter(transaction* trans) {
    cout << "Dumping transaction: " << trans->ident() << endl;
    trans->release();
}

//======================================  Return the stage name
const char*
dump_trans::stage_name(void) const {
    return "Dump";
}
